Main Page Class Hierarchy Compound List File List Compound Members

# Shape Class Reference

virtual Base class for all primitive types. More...

`#include <shape.h>`

Inheritance diagram for Shape:

List of all members.

## Public Methods
| Shape ()
| Constructors.
void | Write (DrawDriver &dr)
BoundingBox & | GetBoundingBox ()
| calculate the boundingbox for the shape
virtual int | GetLayer ()
| get the layer of the shape
virtual void | SetLayer (int)
| set the layer of the shape
virtual double | GetWidth ()
| get the width of the shape
virtual void | SetWidth (double width)
| set the width of the shape
virtual void | Convert (G_Polygon *, double)=0
| convert primitive to polygon
virtual wxPropertySheet * | GetPropList ()
| get property list
void | UpdatePropList ()
| update property list (remove members of object)
## Protected Attributes
int | m_layer
| layer off primitive
float | m_width
| width of primitive

## Detailed Description

virtual Base class for all primitive types.

A shape is a primitive that can be drawn directly, without refrencing other shapes, also it has a boundingbox. Therefore a reference to a structure is not a shape. That kind of elements are derived from the class Element directly

See also:
  Path , Text , Boundary , Box , Circle , Arcseg

The documentation for this class was generated from the following file:

- shape.h

Shape class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page